Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
Class Clean

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.Clean

    class Clean
    extends ConventionTask

author:
  Hans Dockter

Constructor Summary
`Clean(Project project, java.lang.String name)`

Method Summary
`File` | `getDir()`
`ExistingDirsFilter` | `getExistingDirsFilter()`
`void` | `setDir(File dir)`
`void` | `setExistingDirsFilter(ExistingDirsFilter existingDirsFilter)`

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### Clean

    public Clean(Project project, java.lang.String name)

Method Detail

### getDir

    public File getDir()

### getExistingDirsFilter

    public ExistingDirsFilter getExistingDirsFilter()

### setDir

    public void setDir(File dir)

### setExistingDirsFilter

    public void setExistingDirsFilter(ExistingDirsFilter existingDirsFilter)

Groovy Documentation